%global momorel	3
%global qtdir %{_libdir}/qt3
%global kdedir /usr

Name:	 kannadic
Summary: A dictionary management tool for Japanese translation engines
Version: 2.0.3
Release: %{momorel}m
URL: http://linux-life.net/program/cc/kde/app/kannadic/
Source0: http://linux-life.net/program/cc/kde/app/kannadic/download/%{name}-%{version}.tar.gz
NoSource: 0
Patch: %{name}-%{version}-nokdelibsuff.patch
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
License: GPL
Requires: kdelibs arts anthy
BuildRequires: qt-devel kdelibs-devel arts-devel anthy-devel

%description
A dictionary management tool for Japanese translation engines.

%prep
%setup -q
%patch -p1 -b .nokdelibsuff

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir}

%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%makeinstall transform='s,x,x,'

%find_lang %{name}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/kannadic
%{_datadir}/applnk/Utilities/kannadic.desktop
%{_datadir}/apps/kannadic
%{_datadir}/doc/HTML/*/kannadic
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/mimelnk/text/x-userdic.desktop

%changelog
* Sat Apr 16 2005 Toru Hoshina <t@momonga-linux.org>
- (2.0.3-3m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.

* Sat Apr 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.3-2m)
- modify %%files section

* Tue Dec 21 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.3-1m)
- import to momonga

* Sat Aug 14 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.3-1ut
- new release 

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.2-1mdk
- new release 

* Sun Aug 01 2004 UTUMI Hirosi <utuhiro78@yahoo.co.jp> 2.0.1-1mdk
- new release 

* Thu Jul 29 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.0-1mdk
- fix {build,}requires 
- initial spec for Mandrake (UTUMI Hirosi <utuhiro78@yahoo.co.jp>)
